//
//  ExampleViewController.m
//  Example Application
//
//  Created by Jan Christiansen on 10/1/12.
//  Copyright (c) 2012 monoid - Software Development and Consulting - Jan Christiansen.
//  All rights reserved.
//
//  Redistribution and use in source and binary forms, with or without
//  modification, are permitted provided that the following conditions are met:
//
//  * Redistributions of source code must retain the above copyright
//  notice, this list of conditions and the following disclaimer.
//
//  * Redistributions in binary form must reproduce the above
//  copyright notice, this list of conditions and the following
//  disclaimer in the documentation and/or other materials provided
//  with the distribution.
//
//  * Neither the name of Monoid - Development and Consulting -
//  Jan Christiansen nor the names of other
//  contributors may be used to endorse or promote products derived
//  from this software without specific prior written permission.
//
//  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
//  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
//  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
//  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
//  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
//  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
//  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
//  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
//  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
//  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
//  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//

#import "ExampleViewController.h"

#import "MOThumbnailTableViewController.h"


@interface ExampleViewController ()


@property(strong, nonatomic) MOThumbnailTableViewController *thumbnailController;


@end


@implementation ExampleViewController


- (void)viewDidLoad {

    [super viewDidLoad];

    self.view.backgroundColor = [UIColor whiteColor];

    UIButton *thumbnailButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    thumbnailButton.frame = CGRectMake(0, 0, 150, 50);
    thumbnailButton.center = self.view.center;
    [thumbnailButton setTitle:@"Thumbnail Table" forState:UIControlStateNormal];
    [thumbnailButton addTarget:self
                       action:@selector(presentThumbnailViewController)
             forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:thumbnailButton];
}

- (MOThumbnailTableViewController *)thumbnailController {

    if (!_thumbnailController) {
        NSString *specificationPath = [[NSBundle mainBundle] pathForResource:@"ThumbnailTableSpecification"
                                                                      ofType:@"plist"];
        _thumbnailController = [[MOThumbnailTableViewController alloc]
                                initWithStyle:UITableViewStylePlain
//                                initWithStyle:UITableViewStyleGrouped
                                specificationFile:specificationPath];
    }
    return _thumbnailController;
}

- (void)presentThumbnailViewController {

    UINavigationController *navigationController = [[UINavigationController alloc]
                                                    initWithRootViewController:self.thumbnailController];
    [self presentViewController:navigationController
                       animated:YES
                     completion:nil];
}


@end
